package edu.chl.hajo.monopoly.constants;

/**
 * The game events fired
 * 
 * NOTE: A separation of StateChanges and GameEvents
 * was taken as a design decision, seems not to be needed (?)
 * but kept anyway.
 * @author hajo
 *
 */
public enum GameEvents {
	MUST_PAY_RENT, 
	MUST_PAY_TAX, 
	CHANCE, 
	GO_JAIL, 
	CANT_PAY, 
	COMMUNITY, 
	PLAYER_MUST_SELL,
	PLAYER_DIE, 
	GAME_ENDED, 
	MESSAGE, 
	DICES_EQUAL, 
	NEW_GAME
}
