package edu.chl.hajo.monopoly.core;

import edu.chl.hajo.monopoly.core.space.NonProperty;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.core.space.Street;
import edu.chl.hajo.monopoly.core.space.Tax;
/**
 * Used to get the correct EventDialog depending on type. 
 * See view.events. See also view.events.DialogVisitor. 
 * Part of visitor pattern
 * 
 * @author hajo
 *
 */
public interface IDialogVisitor {

	public abstract void setDialog(Property p);

	public abstract void setDialog(NonProperty p);

	public abstract void setDialog(Street s);

	public abstract void setDialog(Tax t);

}