package edu.chl.hajo.monopoly.core;

import edu.chl.hajo.monopoly.core.space.NonProperty;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.core.space.Street;
import edu.chl.hajo.monopoly.core.space.Tax;

/**
 * Used to get the correct SpacePanels depending on type.
 * Part of visitor pattern
 * 
 * @author hajo
 *
 */
public interface IPanelVisitor {

	public abstract void setPanel(Property p);

	public abstract void setPanel(NonProperty p);

	public abstract void setPanel(Street p);

	public abstract void setPanel(Tax p);

}