package edu.chl.hajo.monopoly.ctrl;

import edu.chl.hajo.monopoly.core.space.Property;

/**
 *  Control
 */
class PayRentCtrl extends AbstractControl {

	private Property property;
	
	public PayRentCtrl(Property property) {
		this.property = property;
	}

	public void execute(){
		int r = property.getRent();
		new ForceWithDrawCtrl(r).execute();
		// If player bankruptcy owner get money anyway
		// (No) rule for this ?
		property.getOwner().addIncome(r);
	}
}
