package edu.chl.hajo.monopoly.view.dialog;

import javax.swing.JFrame;

import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.ctrl.CF;


/**
 * Will show up if player hits other players property
 * 
 * @author hajo
 * 
 */
@SuppressWarnings("serial")
public class PropertyPayRentDialog extends AbstractEventDialog {

	private Property property;

	public PropertyPayRentDialog(JFrame parent, Property property) {
		super(parent);
		this.property = property;
	}

	@Override
	public void execute() {
		CF.get(CF.Name.PAY_RENT, property).execute();	
		this.dispose();
	}
}
