package edu.chl.hajo.monopoly;

import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;

import edu.chl.hajo.monopoly.core.IGame;
import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.ctrl.Interpretator;

/**
 * Testing major parts of a round using the
 * interpreter (not finished just a sketch)
 * @author hajo
 *
 */
public class TestScenario {
	
	IGame g;
	
	@Before
	public void setUpBefore() throws Exception {
		
	}

	@Test
	public void testAScenario() {
		String scenario = "m5:bp:s:m5:bp";
		Interpretator i = new Interpretator(g);
		i.run(scenario);
				
		Player olle = g.getPlayers().get(0);
		Assert.assertTrue( olle.getProperties().size() == 1 );
		Player fia = g.getPlayers().get(1);
		Assert.assertTrue( fia.getProperties().size() == 0);
	}
}
