
package edu.chl.hajo.monopoly.core.visitor;

import edu.chl.hajo.monopoly.core.Debt;
import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.core.space.Space;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.core.space.Tax;

/**
 * A concrete visitor
 * @author hajo
 */
public class PropertyVisitor implements IVisitor {
     

    @Override
    public void visit(Property p, Player actual) {
        if (p.hasOwner() && p.getOwner() != actual) {
            actual.addDebt(new Debt(p.getOwner(), p.getRent()));
        }
    }
    @Override
    public void visit(Tax t, Player actual) {
    }
    
  

    @Override
    public void visit(Space a, Player actual) {
    }
}
