/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.chl.hajo.monopoly.gui.dialogs;

import edu.chl.hajo.monopoly.core.IMonopoly;
import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;

/**
 * Dialog for buy sell properties
 * @author hajo
 */
public class SpaceDialog extends JDialog implements ActionListener {

    private final JButton buy = new JButton("Buy");
    private final JButton sell = new JButton("sell");
    private final JButton close = new JButton("close");
    private final IMonopoly monopoly;

    public SpaceDialog(Frame owner, String title, boolean modal, IMonopoly m) {
        super(owner, title, modal);
        this.monopoly = m;
        this.setLayout(new BorderLayout());
        this.add(createButtonPanel(), BorderLayout.SOUTH);
        this.add(createInfoPanel(), BorderLayout.CENTER);
        this.setLocationRelativeTo(owner);
        buy.addActionListener(this);
        sell.addActionListener(this);
        close.addActionListener(this);
        this.setSize(300, 100);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        JButton b = (JButton) e.getSource();
        if( b == close ){
            this.dispose();
        }else if( b == buy){
            monopoly.buy();
        }else if( b == sell){
            //monopoly.sell();
        }
    }

    private JPanel createButtonPanel() {
        JPanel p = new JPanel();
        p.add(buy);
        p.add(sell);
        p.add(close);
        return p;
    }

    private JPanel createInfoPanel() {
        JPanel p = new JPanel();
        p.setSize(60, 60);
        return p;
    }

}
