
package edu.chl.hajo.monopoly.io;

import com.thoughtworks.xstream.XStream;
import edu.chl.hajo.monopoly.core.space.Property;
import static org.junit.Assert.assertTrue;
import org.junit.Test;

/**
 * This is prototyping, testing out library XStream.
 * @author hajo
 */
public class TestXStream {

    @Test
    public void testPropertyToformXML() {
        Property p = new Property("test", 111);
        XStream xstream = new XStream();
        String xml = xstream.toXML(p);
        System.out.println(xml);
        
        Property p2 = (Property) xstream.fromXML(xml);
        
        assertTrue(p.getName().equals(p2.getName()));
        
    }
}
