package edu.chl.hajo.mply.core;

import static org.junit.Assert.*;

import org.junit.Test;

public class TestPiece {

    @Test
    public void testMove() {
        // Default position is 0
        Piece p = new Piece(null, null);
        
        p.move(10);
        
        assertTrue( p.getPosition() == 10 % P.INSTANCE.getMaxSpaces());
    }
    
    @Test
    public void testMovable() {
        Piece p = new Piece(null, null);
        
        p.move(P.INSTANCE.getMaxDice());
        
        assertTrue( p.isMovable());  // If max may roll dices again
        
        p.move(P.INSTANCE.getMaxDice()-1);
        assertTrue( !p.isMovable());
        
    }

}
