package monopoly01alt;

import java.util.Random;

/**
 * A stateful dice 
 * @author hajo
 *
 */
public class Dice {

    private final Random rand = new Random();
    private int fst;
    private int sec;
    private final int sides;

    public Dice(int sides) {
        this.sides = sides;
    }

    public int roll() {
        fst = rand.nextInt(sides) + 1;
        sec = rand.nextInt(sides) + 1;
        return fst + sec;
    }

    public int getFirst() {
        return fst;
    }

    public int getSecond() {
        return sec;
    }
}
