package edu.chl.hajo.monopoly03.model;

import java.util.ArrayList;
import java.util.List;


public class MonopolyFactory {

    // TODO should return interface
    public static Monopoly03 getMonopoly() {
        Player p1 = new Player("Pelle", Piece.CAR, 0);
        Player p2 = new Player("Fia", Piece.DOG, 0);
        Player p3 = new Player("C", Piece.IRON, 0); // Use as owner
        List<Player> players = new ArrayList<>();
        players.add(p1);
        players.add(p2);
        Dice dice = new Dice(2);
        List<Space> spaces = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            if (i % 2 == 0) {
                // Add a card space
                spaces.add(new Space(String.valueOf(i), 500, true));
            } else {
                // Normal space
                spaces.add(new Space(String.valueOf(i), 500, false));
            }
        }
        spaces.get(0).addVisitor(p1);
        spaces.get(0).addVisitor(p2);
        // Owner!
        spaces.get(2).setOwner(p3);
        spaces.get(4).setOwner(p3);
        spaces.get(6).setOwner(p3);
        Board board = new Board(spaces);
        Deck deck = new Deck();

        return new Monopoly03(dice, board, players, deck);

    }
}
