package edu.chl.hajo.monopoly04.model;

import java.util.LinkedList;
import java.util.Queue;



/**
 * @author hajo
 *
 */
public class Deck {
    
    private final Queue<Card> cards = new LinkedList<>(); 

    public Deck(){
        cards.add(new Card("1"));
        cards.add(new Card("2"));
        cards.add(new Card("3"));
    }
    
    
    public Card pickCard() {
        Card c = cards.poll();
        cards.offer(c);
        return c;
    }
	
}
