package calendarapp.gui;

import java.util.GregorianCalendar;
import java.util.Locale;

import javax.swing.JLabel;
import javax.swing.SwingConstants;

/**
 * Used by CalendarMonth when showing text for each month.
 * @author adamw
 *
 */
@SuppressWarnings("serial")
public class MonthLabel extends JLabel {	
	public MonthLabel(GregorianCalendar date) {
		super(date.getDisplayName(GregorianCalendar.MONTH,
		      GregorianCalendar.SHORT, Locale.getDefault()));

		setHorizontalAlignment(SwingConstants.CENTER);
	}
}
