package edu.chl.hajo.monopoly.view;

import java.awt.Graphics;

import edu.chl.hajo.monopoly.core.space.NonProperty;
import edu.chl.hajo.monopoly.view.details.NonPropertyDetails;

/**
 * Display of NonProperty
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class NonPropertyPanel extends AbstractSpacePanel {
	
	private NonProperty nonProperty;
	
	protected void showDetails(){
		new NonPropertyDetails(this, nonProperty).setVisible(true);
	}
	
	public NonPropertyPanel(NonProperty nonProperty) {
		super(nonProperty);
		this.nonProperty = nonProperty;
	}
	
	@Override
	public void paintComponent(Graphics g) { 
		 super.paintComponent(g);
	 }
}
