package edu.chl.hajo.monopoly.core;

import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.core.space.Street;

/**
 * Used to get the correct DetailsDialog depending on type.
 * See also view.details.DetailsVisitor, core.space.Property and Street
 * Part of visitor pattern
 * 
 * @author hajo
 *
 */
public interface IDetailsVisitor {
		
	public abstract void setDetails(Property p);

	public abstract void setDetails(Street s);
}