package edu.chl.hajo.monopoly.ctrl;

import java.util.List;

import edu.chl.hajo.monopoly.core.Player;

/**
 *  Control
 */
class EndTurnCtrl extends AbstractControl{

	public void execute() {
		List<Player> players = g.getPlayers();
		Player actualPlayer = g.getActualPlayer();
		int index = players.indexOf(actualPlayer);
		actualPlayer = players.get(++index % players.size());
		g.setActualPlayer(actualPlayer);
		g.getDices().reset();
	}
}
