package edu.chl.hajo.monopoly.view.details;

import java.awt.FlowLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.WindowConstants;

import edu.chl.hajo.monopoly.core.space.NonProperty;

/**
 * Detailed view og NonProperty
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class NonPropertyDetails extends AbstractSpaceDetails {
	
	private JLabel jLblText;
	private NonProperty nonProperty;
	
	public NonPropertyDetails(JPanel parent, NonProperty nonProperty) {
		super(parent, nonProperty);
		this.nonProperty = nonProperty;
		initGUI();
		initControls();	
	}
	
	private void initControls(){	
	}
	
	@Override
	protected void onOpen() {
		jLblText.setText(nonProperty.getName());
	}

	private void initGUI() {
		try {
			{
				jLblText = new JLabel();
			}
			{
				//this.setTitle("Details NonProperty");
				FlowLayout thisLayout = new FlowLayout();
				getContentPane().setLayout(thisLayout);
				this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
			}
			{
				this.setSize(287, 261);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
