package edu.chl.hajo.monopoly.view.dialog;

import javax.swing.JFrame;

import edu.chl.hajo.monopoly.core.space.Street;
import edu.chl.hajo.monopoly.ctrl.CF;
/**
 * Will show up if player hits other players street
 * 
 * @author hajo
 * 
 */
@SuppressWarnings("serial")
public class StreetPayRentDialog extends AbstractEventDialog {

	private Street street;
	
	public StreetPayRentDialog(JFrame parent, Street street) {
		super(parent);
		this.street = street;
	}

	@Override
	public void execute() {
		CF.get(CF.Name.PAY_RENT, street).execute();
		this.dispose();
	}
}
