package edu.chl.hajo.monopoly.core;

/**
 * Player may have a debt as a result of a move.
 * Recorded by this class
 * @author hajo
 */
public class Debt {

    private final Player reciecver;
    private final int amount;

    public Debt(Player reciecver, int amount) {
        this.reciecver = reciecver;
        this.amount = amount;
    }
    
    public Player getReciecver() {
        return reciecver;
    }

    public int getAmount() {
        return amount;
    }

}
