package edu.chl.hajo.mply.core;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

/**
 * Collection for cards
 * @author hajo
 *
 */
public class CardBundle {

    private final List<Card> cards = new ArrayList<Card>();
    private final Random r = new Random();
    
    public CardBundle(){
        cards.add(new Card(Card.Action.MOVE, 2));
        cards.add(new Card(Card.Action.INCOME, 200));
        //cards.add(new Card(Card.Action.JAIL));
    }
    
    public Card getCard(){
       return cards.get(r.nextInt(cards.size()));
    }
}
