package monopoly01;

import java.util.Collection;
import java.util.List;

/**
 * 
 * The board holding spaces having players
 * 
 * @author hajo
 * 
 */

public class Board {

    private final List<Space> spaces;

    public Board(List<Space> spaces) {
        this.spaces = spaces;
    }

    public Space get(Space s, int steps) {
        if( s == null){
            return spaces.get(0);
        }
        int i = spaces.indexOf(s);
        return spaces.get((i + steps) % spaces.size() );
    }

    public Collection<Space> getSpaces() {
        return spaces;
    }

   
   
    
}
