package guice;

import com.google.inject.Inject;
import com.google.inject.name.Named;

/**
 * Sample class how to inject
 * @author hajo
 *
 */
public class Person {
	// Which implementation for interface?
	@Inject @Named("Mobile")
	private IComm mobile;
	@Inject @Named("Laptop")
	private IComm laptop;

	/* 
	 * Something like this could also work
	 @Inject 
	 public Person(@Named("Mobile") Mobile mobile,@Named("Laptop") Laptop laptop){ 
		  this.mobile = mobile; 
		  this.laptop = laptop; 
	 }*/
	 
	public void diplayInfo() {
		System.out.println("Person Mobile:" + mobile);
		System.out.println("Person Laptop:" + laptop);
	}

}
