package guice;

import com.google.inject.AbstractModule;
import com.google.inject.name.Names;

/**
 * Configuration of injections, must be supplied at programstart,
 * see Main
 * @author hajo
 *
 */
public class TestModule extends AbstractModule {

	@Override
	protected void configure() {
		bind(IComm.class).to(Mobile.class);
		bind(IComm.class).annotatedWith(Names.named("Mobile")).to(Mobile.class);
		bind(IComm.class).annotatedWith(Names.named("Laptop")).to(Laptop.class);
	}

}
